Skip to main content
PATCH
/
v1
/
projects
/
{projectId}
/
nodes
/
{nodeId}
Update node
curl --request PATCH \
  --url https://api.example.com/v1/projects/{projectId}/nodes/{nodeId} \
  --header 'Content-Type: application/json' \
  --data '
{
  "title": "<string>",
  "structuredData": {},
  "positionX": 123,
  "positionY": 123,
  "width": 123,
  "height": 123,
  "collapsed": true
}
'
projectId
string
required
Project UUID.
nodeId
string
required
Node UUID.
title
string
Updated title.
structuredData
object
Updated structured data (replaces entire object).
positionX
number
New X position.
positionY
number
New Y position.
width
number
New width (must be positive).
height
number
New height (must be positive).
collapsed
boolean
Collapsed state.
curl -X PATCH https://api.getkommit.ai/v1/projects/a1b2c3d4-e5f6-7890-abcd-ef1234567890/nodes/n1a2b3c4-d5e6-7890-abcd-ef1234567890 \
  -H "Authorization: Bearer km_your_api_key" \
  -H "Content-Type: application/json" \
  -d '{ "title": "User auth (v2)", "collapsed": true }'